<?php

/*
 * @version		$Id: default.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW Player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');
$datas = $this->datas[0];

?>
<style>
.adminforms .left{
	width:45%;
}
.adminforms .admintables{
width:50%;
}
.adminforms .right{
	width:55%;
}
</style>

<form action="index.php?option=com_hdwplayer&task=settings" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
  <fieldset class="adminforms">
  <legend>Player Settings</legend>
  <table class="admintables">
    <tr>
      <td class="left">Width [px]</td>
      <td class="right"><input type="text" name="width"  value="<?php echo $datas->width; ?>"/></td>
    </tr>
    <tr>
      <td class="left">Height [px]</td>
      <td class="right"><input type="text" name="height"  value="<?php echo $datas->height; ?>"/></td>
    </tr>
    <tr>
      <td class="left">Licence Key</td>
      <td class="right"><input type="text" name="licensekey" value="<?php echo $datas->licensekey; ?>" /></td>
    </tr>
    <tr>
      <td class="left"> Logo </td>
      <td class="right"><div id="var_logo">
          <?php if($datas->logo) { ?>
          <input name="logo" readonly="readonly" value="<?php echo $datas->logo; ?>"  />
          <input type="button" name="change" value="Change" onclick="uploadMode()" />
          <?php } else { ?>
          <input type="file" name="logo" accept="image/jpg/jpeg/png/gif"  maxlength="100" />
          <?php } ?>
        </div></td>
    </tr>
    <tr>
      <td class="left">Logo Position</td>
      <td class="right"><select name="logoposition" >
          <option value="topright" id="topright" >Top Right</option>
          <option value="topleft" id="topleft" >Top Left</option>
          <option value="bottomleft" id="bottomleft" >Bottom Left</option>
          <option value="bottomright" id="bottomright" >Bottom Right</option>
          <option value="center" id="center" >Center</option>
        </select>
        <?php echo '<script>document.getElementById("'.$datas->logoposition.'").selected="selected"</script>'; ?> </td>
    </tr>
    <tr>
      <td class="left">Logo Alpha [%]</td>
      <td class="right"><input type="text" name="logoalpha"  value="<?php echo $datas->logoalpha; ?>"  /></td>
    </tr>
    <tr>
      <td class="left">Logo Target</td>
      <td class="right"><input type="text" name="logotarget" value="<?php echo $datas->logotarget; ?>"  /></td>
    </tr>
    <tr>
      <td class="left">Skin Mode</td>
      <td class="right"><select name="skinmode">
          <option value="float" id="float" >Float</option>
          <option value="static" id="static" >Static</option>
        </select>
        <?php echo '<script>document.getElementById("'.$datas->skinmode.'").selected="selected"</script>'; ?> </td>
    </tr>
    <tr>
      <td class="left">Stretch Type</td>
      <td class="right"><select name="stretchtype">
          <option value="fill" id="fill" >Fill</option>
          <option value="uniform" id="uniform" >Uniform</option>
          <option value="none" id="none" >Original</option>
          <option value="exactfit" id="exactfit" >Exact Fit</option>
        </select>
        <?php echo '<script>document.getElementById("'.$datas->stretchtype.'").selected="selected"</script>'; ?> </td>
    </tr>
    <tr>
      <td class="left">Buffer Time [secs]</td>
      <td class="right"><input type="text" name="buffertime" value="<?php echo $datas->buffertime; ?>" /></td>
    </tr>
    <tr>
      <td class="left">Volume Level [%]</td>
      <td class="right"><input type="text" name="volumelevel" value="<?php echo $datas->volumelevel; ?>" /></td>
    </tr>
    <tr>
      <td class="left">Autoplay</td>
      <td class="right">
      <select name="autoplay">
      	  <?php if($datas->autoplay==1) { ?>
          <option value="1" selected="selected">True</option>
          <option value="0">False</option>
          <?php }else { ?>
          <option value="1" >True</option>
          <option selected="selected" value="0">False</option>
          <?php } ?>
        </select>
        </td>
    </tr>
    <tr>
      <td class="left">Playlist Autoplay</td>
      <td class="right">
      <select name="playlistautoplay">
      	  <?php if($datas->playlistautoplay==1) { ?>
          <option value="1" selected="selected">True</option>
          <option value="0">False</option>
          <?php }else { ?>
          <option value="1" >True</option>
          <option selected="selected" value="0">False</option>
          <?php } ?>
        </select></td>
    </tr>
    <tr>
      <td class="left">Playlist Open by Default</td>
      <td class="right">
      <select name="playlistopen">
      	  <?php if($datas->playlistopen==1) { ?>
          <option value="1" selected="selected">True</option>
          <option value="0">False</option>
          <?php }else { ?>
          <option value="1" >True</option>
          <option selected="selected" value="0">False</option>
          <?php } ?>
        </select>
      </td>
    </tr>
    <tr>
      <td class="left">Random Playlist</td>
      <td class="right">
      <select name="playlistrandom">
      	  <?php if($datas->playlistrandom==1) { ?>
          <option value="1" selected="selected">True</option>
          <option value="0">False</option>
          <?php }else { ?>
          <option value="1" >True</option>
          <option selected="selected" value="0">False</option>
          <?php } ?>
        </select></td>
    </tr>
  </table>
  </fieldset>
  <fieldset class="adminforms">
  <legend>Server Settings (Optional)</legend>
  <table class="admintables">
    <tr>
      <td class="left">FFMPEG</td>
      <td class="right"><input type="text" name="ffmpeg"  value="<?php echo $datas->ffmpeg; ?>"/></td>
    </tr>
    <tr>
      <td class="left">Flvtool2</td>
      <td class="right"><input type="text" name="flvtool2"  value="<?php echo $datas->flvtool2; ?>"/></td>
    </tr>
  </table>
  </fieldset>
  <input type="hidden" name="id" value="<?php echo $datas->id; ?>" />
  <input type="hidden" name="task" value="" />
  <input type="hidden" name="boxchecked" value="1">
  <?php echo JHTML::_( 'form.token' ); ?>
</form>
<script type="text/javascript">

 if(<?php echo substr(JVERSION,0,3); ?> == '1.6' || <?php echo substr(JVERSION,0,3); ?> == '1.7') {
 	Joomla.submitbutton = submitbutton;
 }
 function submitbutton(pressbutton) {
 	var form            = document.adminForm;
	var imageExtensions = ['jpg', 'jpeg', 'png', 'gif', 'swf'];
	var isAllowed       = true;
	
 	if(pressbutton == 'savesettings') {
	
 		if (form.width.value == "") {
        	alert( "<?php echo JText::_( 'You must enter the Width for the Player', true); ?>" );
         	return;
     	}
		
		if (form.height.value == "") {
        	alert( "<?php echo JText::_( 'You must enter the Height for the Player', true); ?>" );
         	return;
     	}
		
		if(form.logo.value) {
			isAllowed = checkExtension('LOGO', form.logo.value, imageExtensions);
			if(isAllowed == false) 	return;
		} 
		
	 }
	 submitform( pressbutton );
	 return;
 }
 
 function checkExtension(type, filePath, validExtensions) {

    if(filePath.indexOf('.') == -1) return false;
        
    var ext = filePath.substring(filePath.lastIndexOf('.') + 1).toLowerCase();
    
    for(var i = 0; i < validExtensions.length; i++) {
        if(ext == validExtensions[i]) return true;
    }

    alert(type + ' :   The file extension ' + ext.toUpperCase() + ' is not allowed!');
    return false;
	
 }

 function uploadMode() {
    var mode;
    mode='<input type="file" name="logo" style="border:none;" accept="image/jpg/jpeg/png/gif" maxlength="100" />';
    document.getElementById('var_logo').innerHTML = mode;
 }
 
</script>