<?php

/*
 * @version		$Id: edit.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW Player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');
$datas    = $this->datas;
$category = $this->category;

?>

<div style="float:left;width:52%">
  <form action="index.php?option=com_hdwplayer&task=videos" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
    <fieldset class="adminform">
    <legend>Add Video</legend>
    <table class="admintable">
      <tr>
        <td class="key">Title</td>
        <td><input type="text" name="title" size="60" value="<?php echo $datas->title; ?>" /></td>
      </tr>
      <tr>
        <td class="key">Video type</td>
        <td><select id="type" name="type" onchange="javascript:changeType(this.options[this.selectedIndex].id);">
            <option value="General Upload" id="General Upload" >General Upload</option>
            <option value="FFMPEG Upload" id="FFMPEG Upload" >FFMPEG Upload</option>
            <option value="Direct URL" id="Direct URL" >Direct URL</option>
            <option value="Youtube Videos" id="Youtube Videos" >Youtube Videos</option>
            <option value="Dailymotion Videos" id="Dailymotion Videos" >Dailymotion Videos</option>
            <option value="RTMP Streams" id="RTMP Streams" >RTMP Streams</option>
            <option value="SMIL" id="SMIL" >SMIL</option>
            <option value="Lighttpd Videos" id="Lighttpd Videos" >Lighttpd Videos</option>
            <option value="Bitgravity Videos" id="Bitgravity Videos" >Bitgravity Videos</option>
          </select>
          <?php echo '<script>document.getElementById("'.$datas->type.'").selected="selected"</script>'; ?> </td>
      </tr>
      <tr id="dvr">
        <td class="key">DVR</td>
        <td><input type="checkbox" name="dvr" value="1" <?php if($datas->dvr==1){echo 'checked="checked" ';}?> /></td>
      </tr>
      <tr id="streamdata">
        <td class="key">Streamer</td>
        <td><input type="text" name="streamer" size="60" value="<?php echo $datas->streamer; ?>" /></td>
      </tr>
      <tr id="uploadvideodata">
        <td class="key">Upload Video</td>
        <td><div id="upload_video">
            <?php if($datas->video) { ?>
            <input name="uploadvideo" readonly="readonly" value="<?php echo $datas->video; ?>"  size="47" />
            <input type="button" name="change" value="Change" onclick="uploadMode('video')" />
            <?php } else { ?>
            <input type="file" name="uploadvideo" maxlength="100" />
            <?php } ?>
          </div></td>
      </tr>
      <tr id="uploadhddata">
        <td class="key">Upload HD Video [Optional]</td>
        <td><div id="upload_hd_video">
            <?php if($datas->hdvideo) { ?>
            <input name="uploadhdvideo" readonly="readonly" value="<?php echo $datas->hdvideo; ?>"  size="47" />
            <input type="button" name="change" value="Change" onclick="uploadMode('hdvideo')" />
            <?php } else { ?>
            <input type="file" name="uploadhdvideo" maxlength="100" />
            <?php } ?>
          </div></td>
      </tr>
      <tr id="uploadpreviewdata">
        <td class="key">Upload Preview Image</td>
        <td><div id="upload_preview">
            <?php if($datas->preview) { ?>
            <input name="uploadpreview" readonly="readonly" value="<?php echo $datas->preview; ?>"  size="47" />
            <input type="button" name="change" value="Change" onclick="uploadMode('preview')" />
            <?php } else { ?>
            <input type="file" name="uploadpreview" maxlength="100" />
            <?php } ?>
          </div></td>
      </tr>
      <tr id="uploadthumbdata">
        <td class="key">Upload Thumb Image</td>
        <td><div id="upload_thumb">
            <?php if($datas->thumb) { ?>
            <input name="uploadthumb" readonly="readonly" value="<?php echo $datas->thumb; ?>"  size="47" />
            <input type="button" name="change" value="Change" onclick="uploadMode('thumb')" />
            <?php } else { ?>
            <input type="file" name="uploadthumb" maxlength="100" />
            <?php } ?>
          </div></td>
      </tr>
      <tr id="videourldata">
        <td class="key">Video URL</td>
        <td><input type="text" name="video" size="60"  value="<?php echo $datas->video; ?>" /></td>
      </tr>
      <tr id="hdurldata">
        <td class="key">HD Video URL [Optional]</td>
        <td><input type="text" name="hdvideo" size="60"  value="<?php echo $datas->hdvideo; ?>" /></td>
      </tr>
      <tr id="previewurldata">
        <td class="key">Preview Image</td>
        <td><input type="text" name="preview" size="60" value="<?php echo $datas->preview; ?>" /></td>
      </tr>
      <tr id="thumburldata">
        <td class="key">Thumb Image</td>
        <td><input type="text" name="thumb" size="60" value="<?php echo $datas->thumb; ?>" /></td>
      </tr>
      <tr id="tokendata">
        <td class="key">Security Token [Wowza]</td>
        <td><input type="text" name="token" size="60" value="<?php echo $datas->token; ?>"/></td>
      </tr>
      <tr>
        <td class="key">Category</td>
        <td><select id="category" name="category" >
            <option value="none" id="none" >None</option>
            <?php
            $k=count( $category);
            for ($i=0; $i < $k; $i++)
            {
               $row = $category[$i];
          ?>
            <option value="<?php echo $row->name; ?>" id="<?php echo $row->name; ?>"><?php echo $row->name; ?></option>
            <?php }  ?>
          </select>
          <?php echo '<script>document.getElementById("'.$datas->category.'").selected="selected"</script>'; ?> </td>
        </td>
      </tr>
      <tr>
        <td class="key">Featured</td>
        <td><input type="checkbox" name="featured" value="1" <?php if($datas->featured==1){echo 'checked="checked" ';}?> /></td>
      </tr>
      <tr>
        <td class="key">Publish</td>
        <td><input type="checkbox" name="published" value="1" <?php if($datas->published==1){echo 'checked="checked" ';}?> /></td>
      </tr>
    </table>
    </fieldset>
    <fieldset class="adminform">
    <legend>Search Keys (separate keys using comma)</legend>
    <table class="admintable">
      <tr>
        <td class="key">Keywords / Tags</td>
        <td><input type="text" name="tags" size="60" value="<?php echo $datas->tags; ?>" /></td>
      </tr>
    </table>
    </fieldset>
    <input type="hidden" name="id" value="<?php echo $datas->id; ?>" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="catid" value="<?php echo $category->id; ?>">
    <input type="hidden" name="boxchecked" value="1">
    <?php echo JHTML::_( 'form.token' ); ?>
  </form>
  <div class="clr"></div>
</div>
<div style="float:right;width:47%; color:#333333;">
  <?php
	/*jimport('joomla.html.pane');
	$pane = JPane::getInstance('Tabs');
	echo $pane->startPane('myPane');

	echo $pane->startPanel(JText::_('Read Me'), 'Read Me');*/
?>
  <h1>IPhone / IPad Support</h1>
  HDW Player is happy to announce it's IPhone / IPad compatible version. But there are some restictions in video formats to be used for IPhone / Ipad compatible. Please check them below:<br />
  <h3>HDW Player supported Video formats for Computers</h3>
  Hdwplayer can handle variety of Media formats that flash can handle such as flv, mp4, 3g2, 3gp, aac, f4b, f4p, f4v, m4a, m4v, mov(h.264), sdp, vp6 and smil for your Computers.
  <h3>HDW Player supported Video types for Mobile Devices</h3>
  HDW Player uses HTML5 for Mobile Devices :
  <ul>
    <li><strong>Mp4 - </strong> Videos with .mp4 format that uses .H264 for Video and AAC Audio.</li>
    <li><strong>Youtube - </strong> Youtube Videos those are compatible with IPhone / IPad / Android.</li>
    <li><strong>Dailymotion - </strong> Dailymotion Videos those are compatible with IPhone / IPad / Android.</li>
  </ul>
  <h3>Recommendation Of HDW Player for<strong> General Upload / Direct URL</strong></h3>
  As there are lot of differences in Compatible Video formats between Computers & Mobile Devices, we request you to upload your videos in .mp4 format that uses .H264 for Video and AAC Audio to play your videos in both the devices.
  <?php // echo $pane->endPanel(); ?>
</div>
<div class="clr"></div>
<script type="text/javascript">

 changeType(<?php echo "'".$datas->type."'"; ?>);

 if(<?php echo substr(JVERSION,0,3); ?> == '1.6' || <?php echo substr(JVERSION,0,3); ?> == '1.7') {
 	Joomla.submitbutton = submitbutton;
 }
 
 function submitbutton(pressbutton){
 
    var form            = document.adminForm;
 	var type            = document.getElementById("type");
    var method          = type.options[type.selectedIndex].value;
	var videoExtensions = ['flv', 'mp4' , '3g2', '3gp', 'aac', 'f4b', 'f4p', 'f4v', 'm4a', 'm4v', 'mov', 'sdp', 'vp6', 'smil'];
	var ffmpegExtensions= ['flv', 'mp4' , 'mpg', 'wma', 'avi', 'qt', 'rm', 'mov', 'wmv'];
	var imageExtensions = ['jpg', 'jpeg', 'png', 'gif'];
	var isAllowed       = true;
	
	if(pressbutton == 'savevideos' || pressbutton == 'applyvideos') {
	
		if(method == 'General Upload' || method == 'FFMPEG Upload') {
			if (form.uploadvideo.value == "") {
        		alert( "<?php echo JText::_( 'You must add a Video', true); ?>" );
         		return;
     		}
		} else {
			if (form.video.value == "") {
        		alert( "<?php echo JText::_( 'You must add a Video', true); ?>" );
         		return;
     		}
		}
		
		switch(method) {
			case 'General Upload':
				isAllowed = checkExtension('VIDEO', form.uploadvideo.value, videoExtensions, method);
				break;
			case 'FFMPEG Upload':
				isAllowed = checkExtension('FFMPEG', form.uploadvideo.value, ffmpegExtensions, method);
				break;
			default:
				isAllowed = checkExtension('VIDEO', form.video.value, videoExtensions, method);
		}
		
		if(isAllowed == false) return;
		
		if(form.uploadhdvideo.value) {
			isAllowed = checkExtension('HD VIDEO', form.uploadhdvideo.value, videoExtensions, method);
			if(isAllowed == false) 	return;
		} 
		
		if(form.hdvideo.value) {
			isAllowed = checkExtension('HD VIDEO', form.hdvideo.value, videoExtensions, method);
			if(isAllowed == false) 	return;
		} 
		
		if(form.uploadthumb.value) {
			isAllowed = checkExtension('THUMB', form.uploadthumb.value, imageExtensions, method);
			if(isAllowed == false) 	return;
		} 
		
		if(form.thumb.value) {
			isAllowed = checkExtension('THUMB', form.thumb.value, imageExtensions, method);
			if(isAllowed == false) 	return;
		} 
		
		if(form.uploadpreview.value) {
			isAllowed = checkExtension('PREVIEW', form.uploadpreview.value, imageExtensions, method);
			if(isAllowed == false) 	return;
		} 
		
		if(form.preview.value) {
			isAllowed = checkExtension('PREVIEW', form.preview.value, imageExtensions, method);
			if(isAllowed == false) 	return;
		}
	
		if (form.title.value == "") {
        	alert( "<?php echo JText::_( 'You must enter a Title for the Video', true); ?>" );
         	return;
    	}
	}
	submitform( pressbutton );	
	return;
 }
 
 function checkExtension(type, filePath, validExtensions, method) {

    if(method == 'Youtube Videos' || method == 'Dailymotion Videos' || method == 'RTMP Streams') return true;
        
    var ext = filePath.substring(filePath.lastIndexOf('.') + 1).toLowerCase();
	
    for(var i = 0; i < validExtensions.length; i++) {
        if(ext == validExtensions[i]) return true;
    }

    alert(type + ' :   The file extension ' + ext.toUpperCase() + ' is not allowed!');
    return false;
	
 }

 function changeType(typ) {

			document.getElementById('dvr').style.display="none";
    		document.getElementById('streamdata').style.display="none";
			document.getElementById('uploadvideodata').style.display="none";
			document.getElementById('uploadhddata').style.display="none";
			document.getElementById('uploadpreviewdata').style.display="none";
			document.getElementById('uploadthumbdata').style.display="none";
   			document.getElementById('videourldata').style.display="none";
			document.getElementById('hdurldata').style.display="none";
			document.getElementById('previewurldata').style.display="none";
			document.getElementById('thumburldata').style.display="none";
			document.getElementById('tokendata').style.display="none";
			
    switch(typ) {
		case 'General Upload':
			document.getElementById('uploadvideodata').style.display="";
			document.getElementById('uploadhddata').style.display="";
			document.getElementById('uploadpreviewdata').style.display="";
			document.getElementById('uploadthumbdata').style.display="";
			break;
		case 'FFMPEG Upload':
			document.getElementById('uploadvideodata').style.display="";
			break;
		case 'Lighttpd Videos':
		case 'Direct URL':
			document.getElementById('videourldata').style.display="";
			document.getElementById('hdurldata').style.display="";
			document.getElementById('previewurldata').style.display="";
			document.getElementById('thumburldata').style.display="";
			break;
		case 'Youtube Videos':
			document.getElementById('videourldata').style.display="";
			break;
		case 'Dailymotion Videos':
		case 'SMIL':
			document.getElementById('videourldata').style.display="";
			document.getElementById('previewurldata').style.display="";
			document.getElementById('thumburldata').style.display="";
			break;
		case 'RTMP Streams':
			document.getElementById('streamdata').style.display="";
			document.getElementById('videourldata').style.display="";
			document.getElementById('previewurldata').style.display="";
			document.getElementById('thumburldata').style.display="";
			document.getElementById('tokendata').style.display="";
			break;
		case 'Bitgravity Videos':
		    document.getElementById('dvr').style.display="";
			document.getElementById('videourldata').style.display="";
			document.getElementById('hdurldata').style.display="";
			document.getElementById('previewurldata').style.display="";
			document.getElementById('thumburldata').style.display="";
			break;
	}
 }

 function uploadMode(typ) {

	var name;
	var formats;
	var id;
	var mode;
	
    switch(typ) {
		case 'video':
			name="uploadvideo";
			formats="video/mp4/mov/flv/m4v";
			id="upload_video";
			break;
		case 'hdvideo':
			name="uploadhdvideo";
			formats="video/mp4/mov/flv/m4v";
			id="upload_hd_video";
			break;
		case 'preview':
			name="uploadpreview";
			formats="image/jpg/jpeg/png/gif";
			id="upload_preview";
			break;
		case 'thumb':
			name="uploadthumb";
			formats="image/jpg/jpeg/png/gif";
			id="upload_thumb";
			break;
	}
	
    mode='<input type="file" name="' + name + '" accept="' + formats + '" maxlength="100" />';
	document.getElementById(id).innerHTML = mode;
	
 }
	
</script>